Facilities
Update facility coverage options
Updates coverage options available for a facility, including default selection and enrollment availability
PUT
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
coverageOptions
Update facility coverage options
curl --request PUT \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/coverageOptions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
[
{
"coverageUuid": "11111-11111-11111-11111-11111",
"isDefault": false,
"allowNewEnrollments": true
}
]
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/coverageOptions"
payload = [
{
"coverageUuid": "11111-11111-11111-11111-11111",
"isDefault": False,
"allowNewEnrollments": True
}
]
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
coverageUuid: '11111-11111-11111-11111-11111',
isDefault: false,
allowNewEnrollments: true
}
])
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/coverageOptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"coverageUuid": "11111-11111-11111-11111-11111",
"isDefault": false,
"allowNewEnrollments": true
}
]Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Array of coverage options to update for the facility
Coverage uuid to be related to the specified facility
Example:
"11111-11111-11111-11111-11111"
Defines if the coverage is the default option selected for the facility
Example:
false
Defines if the coverage is available for new enrollments
Example:
true
Response
200 - application/json
Coverage options updated successfully
Coverage uuid to be related to the specified facility
Example:
"11111-11111-11111-11111-11111"
Defines if the coverage is the default option selected for the facility
Example:
false
Defines if the coverage is available for new enrollments
Example:
true
⌘I
Update facility coverage options

